# $Revision: 1.70 $, $Date: 2010/05/12 12:35:05 $
Summary:	ID3 tag editor
Summary(hu.UTF-8):	ID3 tag szerkesztő
Summary(pl.UTF-8):	Edytor etykiet ID3
Name:		easytag
Version:	2.1.6
Release:	3
Epoch:		1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
# Source0-md5:	6c5b9dc2bf1f3b0a11bd4efc81aaa9ee
Patch0:		%{name}-desktop.patch
URL:		http://easytag.sourceforge.net/
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.1.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	id3lib-devel >= 3.8.3
BuildRequires:	libid3tag-devel
BuildRequires:	libogg-devel >= 2:1.0
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	mpeg4ip-devel >= 1:1.3
BuildRequires:	pkgconfig
BuildRequires:	speex-devel
BuildRequires:	wavpack-devel >= 4.40
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EasyTAG is an utility for viewing, editing and writing tags of your
MP3, MP2, FLAC, Ogg, MusePack and Monkey's Audio files. Its simple and
nice GTK+2 interface makes tagging easier.

Features:
- View, edit, write tags of MP3, MP2, FLAC files (supporting ID3v2 and
  ID3v1.x specifications), Ogg files, MusePack and Monkey's Audio
- Auto tagging: parse filename and directory to complete automatically
  the fields (using masks),
- Ability to rename files from the tag (using masks) or by loading a
  txt file,
- Process all files of the selected directory,
- Ability to browse subdirectories,
- Recursion for tagging, removing, renaming, saving...,
- Can set a field (artist, title,...) to all other files,
- Read file header informations (bitrate, time, ...) and display them,
- A tree based browser,
- A list to select files,
- Simple and explicit interface!,
- A playlist generator window,
- A file searching window.

%description -l hu.UTF-8
EasyTag egy eszköz az MP3, MP2, FLAC, Ogg, MusePack és Monkey's Audio
fájlok tagjeinek megtekintésére, szerkesztésére és írására. Egy
egyszerű GTK+2 felület ezt meg is könnyíti.

Lehetőségek:
- MP3, MP2, FLAC (ID3v2 és ID3v1.x is), Ogg, MusePack és Monkey's
  Audio fájlok tag-jeine megtekintése, szerkesztése és mentése
- Automatikus tag-szerkesztés: fájlnév és könyvtár feldolgozása
  alapján tölti ki a mezőket
- Fájlok átnevezése a mezők alapján vagy egy betöltött txt-fájl
  segítségével
- A kijelölt könyvtár összes fájljának feldolgozása
- Alkönyvtárak böngészése
- Rekurzió gyakorlatilag mindenre
- Összes fájlra mező beállítása (előadó, számcím)
- Header információk olvasása (bitráta, hossz, ...) és megjelenítése
- Fastruktúrás böngészés
- Fájlok listájának kijelölése
- Egyszerű és gyors felület
- Lejátszási lista generálás
- Fájlkeresés

%description -l pl.UTF-8
EasyTAG to narzędzie do przeglądania, modyfikowania i zapisywania
etykiet (tagów) w plikach MP3, MP2, FLAC, Ogg, MusePack i Monkey's
Audio. Prosty i miły interfejs GTK+2 ułatwia to zadanie.

Możliwości:
- przeglądanie, modyfikowanie, zapisywanie etykiet w plikach MP3, MP2,
  FLAC (z obsługą formatów ID3v2 i ID3v1.x), Ogg, MusePack i Monkey's
  Audio,
- automatyczne etykietowanie: tworzenie pól na podstawie nazwy pliku i
  katalogu (przy użyciu masek),
- możliwość zmiany nazw plików na podstawie etykiet (przy użyciu
  masek) lub wczytując je z pliku tekstowego
- obróbka wszystkich plików w podanym katalogu,
- możliwość przeglądania podkatalogów,
- rekurencja przy etykietowaniu, usuwaniu, zmianie nazw, zapisywaniu
- możliwość ustawienia pola (wykonawca, tytuł...) we wszystkich
  pozostałych plikach,
- wczytywanie i wyświetlanie informacji z nagłówka (czas, jakość),
- przeglądarka bazująca na drzewie,
- lista z wyborem plików,
- prosty interfejs,
- generowanie playlist,
- wyszukiwanie plików.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO THANKS USERS-GUIDE
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_mandir}/man1/*.1*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: easytag.spec,v $
Revision 1.70  2010/05/12 12:35:05  baggins
- rel 3
- fixed desktop categories

Revision 1.69  2009/10/04 09:03:55  uzsolt
- hu

Revision 1.68  2008/11/10 23:23:14  glen
- release 2

Revision 1.67  2008/07/20 23:03:07  adamg
- BR: wavpack-devel >= 4.40

Revision 1.66  2008/07/20 22:59:27  adamg
- updated to 2.1.6

Revision 1.65  2008-06-01 15:09:33  arvenil
- up to 2.1.5
- BR: libid3tag-devel
- BR: speex-devel
- patch -fix_build.patch not needed anymore
- fixed sourceforge url

Revision 1.64  2008-03-16 03:08:30  darekr
- added -fix_build patch (missing variable's declaration)

Revision 1.63  2007-12-27 01:27:37  zbyniu
- up to 2.1.4

Revision 1.62  2007-11-23 14:45:29  arvenil
- reverted last commit - unstable releases goes to DEVEL

Revision 1.60  2007-05-10 07:03:32  jareq
- updated to 2.1

Revision 1.59  2007/03/11 12:14:48  megabajt
- run %update_desktop_database_post{,un}

Revision 1.58  2007/02/26 16:37:24  wolf
- 2.0

Revision 1.57  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.55  2006/12/23 09:37:14  jareq
- updated to 1.99.13

Revision 1.54  2006/04/11 14:35:06  wolf
- 1.99.12

Revision 1.53  2006/01/18 11:54:16  maciek2w
- updated to 1.99.11

Revision 1.52  2005/11/30 14:28:40  jareq
- up to 1.99.10

Revision 1.51  2005/11/04 12:11:44  wiget
- updated to 1.99.9

Revision 1.50  2005/09/16 19:13:29  pawcioos
- fixed BR mpeg4ip

Revision 1.49  2005/09/01 17:53:25  pawcioos
- added missing BR: mpeg4ip-devel

Revision 1.48  2005/09/01 12:29:27  pawcioos
- updated to 1.99.8

Revision 1.47  2005/07/19 17:22:27  freetz
- 1.99.7

Revision 1.46  2005/06/27 09:28:44  troll
- updated to 1.99.6

Revision 1.45  2005/06/07 08:58:07  paladine
- updated to 1.99.5

Revision 1.44  2005/05/04 14:29:04  wiget
- updated to 1.99.4

Revision 1.43  2005/03/14 14:06:13  havner
- rel up for new flac

Revision 1.42  2005/01/25 11:40:26  paladine
- updated to 1.99.3
- proper license
- STBR

Revision 1.41  2004/12/22 23:49:21  havner
- rel 2

Revision 1.40  2004/12/22 20:36:23  qboosh
- refresh config.sub, missing epochs, killed bogus -static BR

Revision 1.39  2004/12/22 15:45:48  troll
- merged from DEVEL, STBR

Revision 1.34.2.6  2004/11/30 23:53:59  troll
- updated to 1.99.2

Revision 1.34.2.5  2004/11/07 17:58:29  troll
- TODO done
- cosmetics, rel 1

Revision 1.34.2.4  2004/10/27 15:30:42  wiget
- updated to 1.99.1

Revision 1.34.2.3  2004/10/17 18:45:23  adamg
- BuildRequires: pkgconfig, libstdc++-static (the latter one probably to
  be removed)

Revision 1.34.2.2  2004/10/17 18:30:47  wiget
- now its build

Revision 1.34.2.1  2004/10/17 18:01:15  troll
- beginning of the GTK+2-based branch
- rel 0.1, NFY - doesn't build, dunno why, help required

Revision 1.34  2004/10/10 18:52:04  paladine
- added missing BR: libtool

Revision 1.33  2004/08/31 04:51:02  snurf
- typo / formatting / etc.

Revision 1.32  2004/08/08 12:15:18  ankry
- restored (%0^%0) -desktop patch, rel. 1

Revision 1.31  2004/08/08 09:18:20  ankry
- TODO

Revision 1.30  2004/06/05 13:31:43  freetz
- merged from DEVEL

Revision 1.29.2.4  2004/06/01 22:09:00  freetz
- 0.31 stable, after some testing will be moved to HEAD

Revision 1.29.2.3  2004/04/16 22:10:04  troll
- updated to 0.30.2
- removed outdated .desktop file patch

Revision 1.29.2.2  2004/03/23 13:48:02  ankry
- md5

Revision 1.29.2.1  2004/03/23 12:38:08  freetz
- 0.30.1 developement release
- use desktopdir, desc fixes, %%files fixes, %%build fixes

Revision 1.29  2004/02/08 12:49:45  troll
- new patch (0.30d),
- rel++

Revision 1.28  2003/12/07 07:26:45  troll
- added 3 patches upgrading to 0.30c,
- rel 2

Revision 1.27  2003/12/01 22:49:24  ankry
- updated desktop patch

Revision 1.26  2003/12/01 22:41:52  ankry
- updates desktop patch

Revision 1.25  2003/09/13 09:45:23  adamg
- updated to 0.30

Revision 1.24  2003/09/03 10:33:39  adamg
- updated to 0.29

Revision 1.23  2003/07/15 19:10:09  adamg
- updated to 0.28.1

Revision 1.22  2003/06/01 11:19:46  adamg
- updated to 0.28

Revision 1.21  2003/05/27 20:55:35  misi3k
- updated to 0.27.1

Revision 1.20  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:47:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/04/08 10:33:13  qboosh
- use http for sources from sourceforge

Revision 1.17  2003/04/04 12:23:56  leafnode
- Added patch correcting errors with undefined references to 'errno'

Revision 1.16  2003/02/07 12:03:12  michuz
- updated to 0.27

Revision 1.15  2003/01/18 22:46:45  juandon
- removed two lines with define

Revision 1.14  2002/12/31 20:18:08  blues
- release 1 - works... :)

Revision 1.13  2002/12/31 19:38:21  mmazur
- here you go blues :)

Revision 1.12  2002/12/31 19:18:48  blues
- 0.26 - started update

Revision 1.11  2002/10/14 23:19:27  ankry
- fixed desktop (-desktop.patch): pl commnet + converted to UTF

Revision 1.10  2002/10/14 22:37:26  fastviper
- added patch to fix problem with output file inclusion in fonfigure.in
- release 2
- not finished! Gettext/find_lang is broken, and package still cannot be built.

Revision 1.9  2002/10/07 23:54:13  kloczek
- cosmetics.

Revision 1.8  2002/10/07 10:48:28  qboosh
- BR: autoconf,automake,gettext-devel

Revision 1.7  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.6  2002/05/27 07:55:21  qboosh
- removed COPYING (known - GPL) and INSTALL from doc

Revision 1.5  2002/05/26 22:04:56  michuz
- finished (ready for testing)

Revision 1.4  2002/05/25 11:10:27  qboosh
- pl translation
- partially fixed file list

Revision 1.3  2002/05/23 15:00:01  michuz
- fixed group

Revision 1.2  2002/05/23 14:04:22  ankry
- changed non-working http source URL (sourceforge) to ftp one

Revision 1.1  2002/05/23 09:12:13  michuz
- taken from RH
- NFY
